## ros-indigo-rb1-base-pad 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rb1_base_pad)


find_package(catkin REQUIRED COMPONENTS
  message_generation
  geometry_msgs
  robotnik_msgs
  roscpp
  sensor_msgs
  diagnostic_updater
)


add_service_files(DIRECTORY srv 
   FILES
    enable_disable_pad.srv
)


generate_messages(
   DEPENDENCIES
   robotnik_msgs sensor_msgs
 )


catkin_package(

  CATKIN_DEPENDS 
    robotnik_msgs
    roscpp 
    sensor_msgs 
    geometry_msgs 
    message_runtime
    diagnostic_updater

)

include_directories(
  include 
  ${catkin_INCLUDE_DIRS} 
)


add_executable(rb1_base_pad src/rb1_base_pad.cpp)

add_dependencies(rb1_base_pad rb1_base_pad_generate_messages_cpp)

target_link_libraries(rb1_base_pad
   ${catkin_LIBRARIES}
 )

install(
  TARGETS rb1_base_pad
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rb1-base-pad (1.0.6-0trusty) trusty; urgency=high

  * rb1_base_pad: adds missing install rule
  * Contributors: Jorge Arino

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 21 Sep 2016 22:00:00 -0000

ros-indigo-rb1-base-pad (1.0.3-0trusty) trusty; urgency=high

  * Modified Cmake.lists rb1_base_pad
  * Contributors: AliquesTomas

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 06 Jul 2016 22:00:00 -0000

ros-indigo-rb1-base-pad (1.0.2-0trusty) trusty; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

ros-indigo-rb1-base-pad (1.0.1-0trusty) trusty; urgency=high

  * deleted ~ files
  * Added rb1_base_common packages
  * send 0 on deadman release
  * added description and pad folders
  * Contributors: AliquesTomas, Marc Bosch, rguzman

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rb1-base-pad
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/rb1_base_pad
Standards-Version: 3.9.2

Package: ros-indigo-rb1-base-pad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: The rb1_base_pad package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rb1-base-pad//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
